Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty Class Reference

Inherits Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >.

Inherited by Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< BooleanTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Uint8TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Int8TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Uint16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Int16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Uint32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Int32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Uint64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Int64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Float16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Float32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Float64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< StringTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< WstringTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< V3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< P3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< Box3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< M33fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< M33dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< M44fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< M44dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< QuatfTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< QuatdTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C3hTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C3cTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C4hTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C4fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< C4cTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< N2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< N2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< N3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< N3dTPTraits >, and Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty:
[legend]

## Public Types
typedef IScalarProperty | this_type

## Public Member Functions
| IScalarProperty ()
| IScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IScalarProperty ()
size_t | getNumSamples () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (void *oSample, const ISampleSelector &iSS=ISampleSelector()) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ScalarPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
AbcA::ScalarPropertyReaderPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef IScalarProperty Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ IScalarProperty() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( |  | ) |
| inline

The default constructor creates an empty IScalarProperty function set. ...

## ◆ IScalarProperty() [2/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument() )

This constructor creates a new scalar property reader. The first argument is the parent ICompundProperty, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and that's it.

## ◆ IScalarProperty() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iPtr,
|  | const Argument & | iArg0 = Argument() )
| inline

This attaches an IScalarProperty wrapper around an existing ScalarPropertyReaderPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iArg0 | Optional error handling policy ...

## ◆ ~IScalarProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::~IScalarProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ get()

void Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::get | ( | void * | oSample,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const

Get a sample into the address of a datum. ...

## ◆ getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getNumSamples | ( |  | ) | const

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

## ◆ getParent()

ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a ICompoundProperty wrapper.

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getTimeSampling | ( |  | ) | const

Time information. This will be valid regardless of TimeSamplingType or number of samples.

## ◆ isConstant()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::isConstant | ( |  | ) | const

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

The documentation for this class was generated from the following files:

- Abc/IScalarProperty.h
- Abc/IScalarProperty.cpp